function OnWarpEnter()
	SetMarker("Osiris\\Warp_0031.wp",0,0)
	SetMarker("Osiris\\Warp_0033.wp",0,0)
	SetMarker("Osiris\\Warp_0035.wp",0,0)
	Current_Stars="E3G1"
	--check anims conditions
       --StartAnimationt("C1G1",-1) 
	--StartAnimationt("C2G1",-1)
	--StartAnimationt("C3G1",-1)
	--StartAnimationt("C4G1",-1) Stars
	--StartAnimationt("E1G1",-1) Stars
	--StartAnimationt("E2G1",-1) Stars
	--StartAnimationt("E3G1",-1) Stars
	--StartAnimationt("E4G1",-1) Stars
        --StartAnimation("DOG1",-1) moving floor

	if Current_Stars==Next_Stars then
		LookAt(185,325)
		StartAnimation("E3G1",1)
		StartAnimation("C3G1",1)
		Next_Stars="E2G1"
	else
		if Next_Stars == "E1G1" then
			StartAnimationPart("E1G1",0,10,-1,false)
		elseif Next_Stars == "E2G1" then
			StartAnimationPart("E2G1",0,10,-1,false)
		elseif Next_Stars == "E3G1" then
			StartAnimationPart("E3G1",0,10,-1,false)
		elseif Next_Stars == "E4G1" then
			StartAnimationPart("E4G1",0,10,-1,false)
		end
	end
end

function OnAnimationFinished(objectName)
	if objectName=="C3G1" then
		if Next_Stars == "E1G1" then
			StartAnimationPart("E1G1",0,10,-1,false)
		elseif Next_Stars == "E2G1" then
			StartAnimationPart("E2G1",0,10,-1,false)
		elseif Next_Stars == "E3G1" then
			StartAnimationPart("E3G1",0,10,-1,false)
		elseif Next_Stars == "E4G1" then
			StartAnimationPart("E4G1",0,10,-1,false)
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "11G1" then

------------------------------------------------------------
	elseif objectName == "C1G1" then

------------------------------------------------------------
	elseif objectName == "C2G1" then

------------------------------------------------------------
	elseif objectName == "C3G1" then

------------------------------------------------------------
	elseif objectName == "C4G1" then

------------------------------------------------------------
	elseif objectName == "DOG1" then

------------------------------------------------------------
	elseif objectName == "E1G1" then

------------------------------------------------------------
	elseif objectName == "E2G1" then

------------------------------------------------------------
	elseif objectName == "E3G1" then

------------------------------------------------------------
	elseif objectName == "E4G1" then
	end
	if objectName=="3D\\Osiris\\Warp_0035.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0033.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0031.wp" then
		ChangeWarp(objectName)
        end
end
